Commet
  • Pricing
Log InTry out
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats DELETESet seats PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Bulk set seats

Set all seat types at once.

Add seats POST

Add seats to a customer's subscription. Prorates charges for the current billing period.

Get all seat balances GET

Get the current balance for all seat types in a customer's subscription.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

PUT
/seats/bulk
customerId*string
Length1 <= length <= 200
seats*
curl -X PUT "https://commet.co/api/seats/bulk" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string",    "seats": {      "property1": 0,      "property2": 0    }  }'

Set all seat types at once.

{
  "success": true,
  "data": [
    {
      "id": "string",
      "seatType": "string",
      "previousBalance": 0,
      "newBalance": 0,
      "ts": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}